package us.lakora.bombdrop.bombs;

/**
 * A 1x1 bomb. Used only when finding what squares should cause an explosion - during gameplay, bombs are defined by their color on the board.
 *
 * @version  1.0
 * @author   Isaac Schemm, isaacschemm@gmail.com
 */

public class SmallBomb extends Bomb {

	public SmallBomb(int x, int y) {
		super(x, y);
	}
	
	public boolean equals(Object o) {
		boolean same = false;
		if (this == o) {
			same = true;
		} else {
			if (o instanceof SmallBomb) {
				same = super.equals(o);
			} else {
				same = false;
			}
		}
		return same;
	}

}
